### Method

# ICalGLib StrArray add

since: 4.0

#### Declaration [src]

    void
    i_cal_str_array_add (
      ICalStrArray* array,
      const gchar* value
    )

#### Description [src]

Adds the `value` into the `array`, omitting duplicates. See also i_cal_str_array_append().

Available since: 4.0

This method is not directly available to language bindings.

#### Parameters

`value`

  Type: `const gchar*`

  The value to add.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.